Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
Class DefaultUrlMappingInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo
          org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingInfo

All Implemented Interfaces:
  UrlMappingInfo

    public class DefaultUrlMappingInfo

extends AbstractUrlMappingInfo
implements UrlMappingInfo

Holds information established from a matched URL.

Since:
  0.5
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo
`params`

Constructor Summary
`DefaultUrlMappingInfo(Object viewName, Map params, UrlMappingData urlData, ServletContext servletContext)`
`DefaultUrlMappingInfo(Object controllerName, Object actionName, Object viewName, Map params, UrlMappingData urlData, ServletContext servletContext)`
`DefaultUrlMappingInfo(Object uri, UrlMappingData data, ServletContext servletContext)`

Method Summary
`String` | `getActionName()` The name of the action that the URL mappping maps to
`String` | `getControllerName()` The name of the controller that the URL mapping maps to
`String` | `getId()` The id part of the URL mapping if any
`Map` | `getParameters()` The parameters that were extracted from the URI that was matched
`String` | `getURI()` The URI to map to.
`String` | `getViewName()` The name of the view that the URL mappping maps to
`boolean` | `isParsingRequest()` Returns true of the request body should be parsed.
`void` | `setParsingRequest(boolean parsingRequest)`
`String` | `toString()`

Methods inherited from class org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo
`configure, evaluateNameForValue, evaluateNameForValue, populateParamsForMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.web.mapping.UrlMappingInfo
`configure`

Constructor Detail

### DefaultUrlMappingInfo

    public DefaultUrlMappingInfo(Object controllerName,
                                 Object actionName,
                                 Object viewName,
                                 Map params,
                                 UrlMappingData urlData,
                                 ServletContext servletContext)

### DefaultUrlMappingInfo

    public DefaultUrlMappingInfo(Object viewName,
                                 Map params,
                                 UrlMappingData urlData,
                                 ServletContext servletContext)

### DefaultUrlMappingInfo

    public DefaultUrlMappingInfo(Object uri,
                                 UrlMappingData data,
                                 ServletContext servletContext)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getParameters

    public Map getParameters()

  Description copied from interface: `UrlMappingInfo`
  The parameters that were extracted from the URI that was matched

  Specified by:
    `getParameters` in interface `UrlMappingInfo`
  Returns:
    A Map of parameters

### isParsingRequest

    public boolean isParsingRequest()

  Description copied from interface: `UrlMappingInfo`
  Returns true of the request body should be parsed. This typically happens in the case of REST requests that parse JSON or XML packets

  Specified by:
    `isParsingRequest` in interface `UrlMappingInfo`
  Returns:
    True if it is

### setParsingRequest

    public void setParsingRequest(boolean parsingRequest)

### getControllerName

    public String getControllerName()

  Description copied from interface: `UrlMappingInfo`
  The name of the controller that the URL mapping maps to

  Specified by:
    `getControllerName` in interface `UrlMappingInfo`
  Returns:
    The name of the controller

### getActionName

    public String getActionName()

  Description copied from interface: `UrlMappingInfo`
  The name of the action that the URL mappping maps to

  Specified by:
    `getActionName` in interface `UrlMappingInfo`
  Returns:
    The name of the action or null if not known

### getViewName

    public String getViewName()

  Description copied from interface: `UrlMappingInfo`
  The name of the view that the URL mappping maps to

  Specified by:
    `getViewName` in interface `UrlMappingInfo`
  Returns:
    The name of the view or null if not known

### getId

    public String getId()

  Description copied from interface: `UrlMappingInfo`
  The id part of the URL mapping if any

  Specified by:
    `getId` in interface `UrlMappingInfo`
  Returns:
    The id or null

### getURI

    public String getURI()

  Description copied from interface: `UrlMappingInfo`
  The URI to map to. Note when the URI is specified it overrides any explicit controller/action/id mappings. In other words you can either specify the URI or the controller/action/id, but not both

  Specified by:
    `getURI` in interface `UrlMappingInfo`
  Returns:
    The URI to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD